FENCE_IS_SIGNALED(9)

NAME
fence_is_signaled - Return an indication if the fence is signaled yet.

SYNOPSIS

bool fence_is_signaled(struct fence * fence);

ARGUMENTS

fence
    [in] the fence to check

DESCRIPTION

Returns true if the fence was already signaled, false if not. Since this function doesn't enable signaling, it is not guaranteed to ever return true if fence_add_callback, fence_wait or fence_enable_sw_signaling haven't been called before.

It's recommended for seqno fences to call fence_signal when the operation is complete, it makes it possible to prevent issues from wraparound between time of issue and time of use by checking the return value of this function before calling hardware-specific wait instructions.

COPYRIGHT